classification
Title: Links to packaging broken
Type: Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, douglas277, ned.deily
Priority: normal Keywords:

Created on 2021-12-06 15:55 by douglas277, last changed 2021-12-09 14:19 by ned.deily. This issue is now closed.

Messages (3)
msg407824 - (view) Author: Douglas Wright (douglas277) Date: 2021-12-06 15:55
Links in this section from the docs from 3.9 and newer are currently broken.

https://docs.python.org/3.9/distributing/index.html#reading-the-python-packaging-user-guide

They are currently leading to a "page not found" error.
msg407957 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-12-07 17:38
Perhaps I'm misunderstanding to which links you are referring but I am not seeing any broken links in that section at the moment. Could you retry and, if so, list exactly which links do not work for you?
msg408124 - (view) Author: Douglas Wright (douglas277) Date: 2021-12-09 14:04
The links are working now.

I recall that all of the links in that section pointed to different URLs on 3.9 and newer than they did on 3.8.  On 3.9 and newer, you would land on "page not found" on readthedocs.org.

They all seem to match up now though.
History
Date User Action Args
2021-12-09 14:19:35ned.deilysetstatus: open -> closed
resolution: out of date
stage: resolved
2021-12-09 14:04:11douglas277setstatus: pending -> open

messages: + msg408124
2021-12-07 17:38:53ned.deilysetstatus: open -> pending
nosy: + ned.deily
messages: + msg407957

2021-12-06 15:55:03douglas277create